summaryrefslogtreecommitdiff
path: root/tests/mv/hard-2
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-02-28 21:20:28 +0000
committerJim Meyering <jim@meyering.net>2003-02-28 21:20:28 +0000
commitb5c388739e56fcbe0997b18bb8e8d867915d2c3b (patch)
treec77aaf0ca3dc8218287723a703183cd78724a089 /tests/mv/hard-2
parentad9e0f6824ed5ed135c1f086b78d173e52fd5c7f (diff)
downloadcoreutils-b5c388739e56fcbe0997b18bb8e8d867915d2c3b.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/mv/hard-2')
-rwxr-xr-xtests/mv/hard-253
1 files changed, 53 insertions, 0 deletions
diff --git a/tests/mv/hard-2 b/tests/mv/hard-2
new file mode 100755
index 000000000..3a44e2cf9
--- /dev/null
+++ b/tests/mv/hard-2
@@ -0,0 +1,53 @@
+#!/bin/sh
+# Ensure that moving hard-linked arguments onto existing destinations works.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ mv --version
+fi
+
+. $srcdir/../envvar-check
+PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+mkdir dst || framework_failure=1
+(cd dst && touch a b c) || framework_failure=1
+touch a || framework_failure=1
+ln a b || framework_failure=1
+ln a c || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+
+mv a b c dst || fail=1
+
+# The source files must be gone.
+test -f a && fail=1
+test -f b && fail=1
+test -f c && fail=1
+cd dst
+
+# Three destination files must exist.
+test -f a || fail=1
+test -f b || fail=1
+test -f c || fail=1
+
+# The three i-node numbers must be the same.
+ia=`ls -i a|sed 's/ a//'`
+ib=`ls -i b|sed 's/ b//'`
+ic=`ls -i c|sed 's/ c//'`
+test $ia = $ib || fail=1
+test $ia = $ic || fail=1
+
+(exit $fail); exit $fail